apiVersion: orchestrator.parodos.dev/v1alpha1
kind: Orchestrator
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"orchestrator.parodos.dev/v1alpha1","kind":"Orchestrator","metadata":{"annotations":{},"name":"orchestrator","namespace":"orchestrator"},"spec":{"argocd":{"enabled":false,"namespace":"orchestrator-gitops","password":"","url":"","username":"admin"},"orchestrator":{"namespace":"sonataflow-infra","sonataPlatform":{"resources":{"limits":{"cpu":"500m","memory":"1Gi"},"requests":{"cpu":"250m","memory":"64Mi"}}}},"postgres":{"authSecret":{"name":"sonataflow-psql-postgresql","passwordKey":"postgres-password","userKey":"postgres-username"},"database":"sonataflow","serviceName":"sonataflow-psql-postgresql","serviceNamespace":"sonataflow-infra"},"rhdhOperator":{"enabled":true,"},"k8s":{"clusterToken":"","clusterUrl":""},"subscription":{"channel":"fast","installPlanApproval":"Automatic","name":"rhdh","namespace":"rhdh-operator"}},"serverlessOperator":{"enabled":true,"subscription":{"channel":"stable","installPlanApproval":"Automatic","name":"serverless-operator","namespace":"openshift-serverless"}},"sonataFlowOperator":{"enabled":true,"subscription":{"channel":"alpha","installPlanApproval":"Automatic","name":"logic-operator-rhel8","namespace":"openshift-serverless-logic"}},"tekton":{"enabled":false}}}
    operator-sdk/primary-resource: /orchestrator-sonataflowplatforms-crd-availability-check
    operator-sdk/primary-resource-type: ClusterRoleBinding.rbac.authorization.k8s.io
  creationTimestamp: "2024-04-16T18:49:45Z"
  finalizers:
  - helm.sdk.operatorframework.io/uninstall-release
  generation: 1
  managedFields:
  - apiVersion: orchestrator.parodos.dev/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:kubectl.kubernetes.io/last-applied-configuration: {}
      f:spec:
        .: {}
        f:argocd:
          .: {}
          f:enabled: {}
          f:namespace: {}
          f:password: {}
          f:url: {}
          f:username: {}
        f:orchestrator:
          .: {}
          f:namespace: {}
          f:sonataPlatform:
            .: {}
            f:resources:
              .: {}
              f:limits:
                .: {}
                f:cpu: {}
                f:memory: {}
              f:requests:
                .: {}
                f:cpu: {}
                f:memory: {}
        f:postgres:
          .: {}
          f:authSecret:
            .: {}
            f:name: {}
            f:passwordKey: {}
            f:userKey: {}
          f:database: {}
          f:serviceName: {}
          f:serviceNamespace: {}
        f:rhdhOperator:
          .: {}
          f:enabled: {}
          f:github:
            .: {}
            f:clientId: {}
            f:clientSecret: {}
            f:token: {}
          f:k8s:
            .: {}
            f:clusterToken: {}
            f:clusterUrl: {}
          f:subscription:
            .: {}
            f:channel: {}
            f:installPlanApproval: {}
            f:name: {}
            f:namespace: {}
        f:serverlessOperator:
          .: {}
          f:enabled: {}
          f:subscription:
            .: {}
            f:channel: {}
            f:installPlanApproval: {}
            f:name: {}
            f:namespace: {}
        f:sonataFlowOperator:
          .: {}
          f:enabled: {}
          f:subscription:
            .: {}
            f:channel: {}
            f:installPlanApproval: {}
            f:name: {}
            f:namespace: {}
        f:tekton:
          .: {}
          f:enabled: {}
    manager: kubectl-client-side-apply
    operation: Update
    time: "2024-04-16T18:49:45Z"
  - apiVersion: orchestrator.parodos.dev/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:finalizers:
          .: {}
          v:"helm.sdk.operatorframework.io/uninstall-release": {}
    manager: helm-operator
    operation: Update
    time: "2024-04-16T18:51:02Z"
  - apiVersion: orchestrator.parodos.dev/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:operator-sdk/primary-resource: {}
          f:operator-sdk/primary-resource-type: {}
      f:status:
        .: {}
        f:conditions: {}
        f:deployedRelease:
          .: {}
          f:manifest: {}
          f:name: {}
    manager: helm-operator
    operation: Update
    subresource: status
    time: "2024-04-16T21:04:17Z"
  name: orchestrator
  namespace: orchestrator
  resourceVersion: "1879554"
  uid: 6b1ed692-6b41-4d87-9167-c1441e4d258e
spec:
  argocd:
    enabled: false
    namespace: orchestrator-gitops
    password: ""
    url: ""
    username: admin
  orchestrator:
    namespace: sonataflow-infra
    sonataPlatform:
      resources:
        limits:
          cpu: 500m
          memory: 1Gi
        requests:
          cpu: 250m
          memory: 64Mi
  postgres:
    authSecret:
      name: sonataflow-psql-postgresql
      passwordKey: postgres-password
      userKey: postgres-username
    database: sonataflow
    serviceName: sonataflow-psql-postgresql
    serviceNamespace: sonataflow-infra
  rhdhOperator:
    enabled: true
    github:
      clientId: [removed]
      clientSecret: [removed]
      token: [removed]
    k8s:
      clusterToken: ""
      clusterUrl: ""
    subscription:
      channel: fast
      installPlanApproval: Automatic
      name: rhdh
      namespace: rhdh-operator
  serverlessOperator:
    enabled: true
    subscription:
      channel: stable
      installPlanApproval: Automatic
      name: serverless-operator
      namespace: openshift-serverless
  sonataFlowOperator:
    enabled: true
    subscription:
      channel: alpha
      installPlanApproval: Automatic
      name: logic-operator-rhel8
      namespace: openshift-serverless-logic
  tekton:
    enabled: false
status:
  conditions:
  - lastTransitionTime: "2024-04-16T18:49:46Z"
    status: "True"
    type: Initialized
  - lastTransitionTime: "2024-04-16T18:51:02Z"
    message: "\nHelm Release orchestrator installed in namespace orchestrator.\n\nComponents
      \                  Installed   Namespace\n====================================================================\nBackstage
      \                   YES        rhdh-operator\nPostgres DB - Backstage      NO
      \        rhdh-operator\nRed Hat Serverless Operator  YES        openshift-serverless
      \    \nKnativeServing               YES        knative-serving\nKnativeEventing
      \             YES        knative-eventing\nSonataFlow Operator          YES
      \       openshift-serverless-logic\nSonataFlowPlatform           YES        sonataflow-infra\nData
      Index Service           YES        sonataflow-infra\nJob Service                  YES
      \       sonataflow-infra\nTekton pipeline              NO         orchestrator-gitops\nTekton
      task                  NO         orchestrator-gitops\nArgoCD project               NO
      \        orchestrator-gitops\n\n====================================================================\nPrerequisites
      check:\nThe required CRD tekton.dev/v1beta1/Task is already installed.\nThe
      required CRD tekton.dev/v1/Pipeline is already installed.\nWARN: CRD for argoproj.io/v1alpha1/AppProject
      is not installed\n====================================================================\n\n\nRun
      the following commands to wait until the services are ready:\n  oc wait -n openshift-serverless
      deploy/knative-openshift --for=condition=Available --timeout=5m\n  oc wait -n
      knative-eventing knativeeventing/knative-eventing --for=condition=Ready --timeout=5m\n
      \ oc wait -n knative-serving knativeserving/knative-serving --for=condition=Ready
      --timeout=5m\n  oc wait -n openshift-serverless-logic deploy/logic-operator-rhel8-controller-manager
      --for=condition=Available --timeout=5m\n  oc wait -n sonataflow-infra sonataflowplatform/sonataflow-platform
      --for=condition=Succeed --timeout=5m\n  oc wait -n sonataflow-infra deploy/sonataflow-platform-data-index-service
      --for=condition=Available --timeout=5m\n  oc wait -n sonataflow-infra deploy/sonataflow-platform-jobs-service
      --for=condition=Available --timeout=5m\n  oc wait -n rhdh-operator backstage
      backstage --for=condition=Deployed=True\n  oc wait -n rhdh-operator deploy/backstage-backstage
      --for=condition=Available --timeout=5m\n\nIn case of a CR deployment failure,
      check the logs of the pods created by the corresponding job to deploy the failed
      CRs instance. The jobs are always\ndeleted after the deployment of the chart
      is completed."
    reason: InstallSuccessful
    status: "True"
    type: Deployed
  deployedRelease:
    manifest: |
      ---
      # Source: orchestrator/templates/openshift-serverless.yaml
      apiVersion: v1
      kind: Namespace
      metadata:
        name: openshift-serverless
      ---
      # Source: orchestrator/templates/openshift-serverless.yaml
      apiVersion: v1
      kind: Namespace
      metadata:
        name: knative-serving
      ---
      # Source: orchestrator/templates/openshift-serverless.yaml
      apiVersion: v1
      kind: Namespace
      metadata:
        name: knative-eventing
      ---
      # Source: orchestrator/templates/rhdh-operator.yaml
      apiVersion: v1
      kind: Namespace
      metadata:
        name: rhdh-operator
      ---
      # Source: orchestrator/templates/sonataflow-operator.yaml
      apiVersion: v1
      kind: Namespace
      metadata:
        name: openshift-serverless-logic
      ---
      # Source: orchestrator/templates/rhdh-operator.yaml
      apiVersion: v1
      kind: Secret
      metadata:
        name: backstage-backend-auth-secret
        namespace: rhdh-operator
      stringData:
        BACKEND_SECRET: ---
        GITHUB_TOKEN: ---
        GITHUB_CLIENT_ID: ---
        GITHUB_CLIENT_SECRET: ---
      ---
      # Source: orchestrator/templates/rhdh-operator.yaml
      kind: ConfigMap
      apiVersion: v1
      metadata:
        name: app-config-rhdh
        namespace: rhdh-operator
      data:
        "app-config-rhdh.yaml": |
          app:
            title: Red Hat Developer Hub
            baseUrl: https://backstage-backstage-rhdh-operator.apps.ocp-edge-cluster-assisted-0.qe.lab.redhat.com
          backend:
            auth:
              keys:
                - secret: "${BACKEND_SECRET}"
            baseUrl: https://backstage-backstage-rhdh-operator.apps.ocp-edge-cluster-assisted-0.qe.lab.redhat.com
            csp:
              frame-src:
                - "https://sandbox.kie.org"
            cors:
              origin: https://backstage-backstage-rhdh-operator.apps.ocp-edge-cluster-assisted-0.qe.lab.redhat.com
            database:
              client: pg
              connection:
                password: ${POSTGRESQL_ADMIN_PASSWORD}
                user: ${POSTGRES_USER}
                host: ${POSTGRES_HOST}
                port: ${POSTGRES_PORT}
      ---
      # Source: orchestrator/templates/rhdh-operator.yaml
      kind: ConfigMap
      apiVersion: v1
      metadata:
        name: dynamic-plugins-rhdh
        namespace: rhdh-operator
      data:
        "dynamic-plugins.yaml": |
          includes:
            - dynamic-plugins.default.yaml
          plugins:
            - disabled: false
              package: "@janus-idp/backstage-plugin-orchestrator-backend-dynamic@1.6.1"
              integrity: >-
                sha512-Rt4csLDhQXNYqp9uCYeZLTrH1RfpA5HTvWd4TyZZ2nwi084UZIMso8PaF8KcD9tPdiYhaQBGxmCR/QS1X8sOVA==
              pluginConfig:
                orchestrator:
                  dataIndexService:
                    url: http://sonataflow-platform-data-index-service.sonataflow-infra
                  editor:
                    path: "https://sandbox.kie.org/swf-chrome-extension/0.32.0"
            - disabled: false
              package: "@janus-idp/backstage-plugin-orchestrator@1.8.4"
              integrity: >-
                sha512-03SH0wAezWUZ6AJ3rqHUXrlt1vfb9corhr6TO6JigiGTCQDq1f1ZL/fvUgl+o1DcqlC/2jkBWiYNpNQ6MqcYrQ==
              pluginConfig:
                dynamicPlugins:
                  frontend:
                    janus-idp.backstage-plugin-orchestrator:
                      appIcons:
                        - importName: OrchestratorIcon
                          module: OrchestratorPlugin
                          name: orchestratorIcon
                      dynamicRoutes:
                        - importName: OrchestratorPage
                          menuItem:
                            icon: orchestratorIcon
                            text: Orchestrator
                          module: OrchestratorPlugin
                          path: /orchestrator
            - disabled: false
              package: "@janus-idp/plugin-notifications@1.1.14"
              integrity: >-
                sha512-2hSWOrYn8r8A/tOb5hxJxucTfkuMNFVT315ucAwqlignYvRTRLsEp8vfxTfTY5TVVl71UO3SPrLlT99FnpKLyQ==
              pluginConfig:
                dynamicPlugins:
                  frontend:
                    janus-idp.backstage-plugin-notifications:
                      appIcons:
                        - name: notificationsIcon
                          module: NotificationsPlugin
                          importName: NotificationsActiveIcon
                      dynamicRoutes:
                        - path: /notifications
                          importName: NotificationsPage
                          module: NotificationsPlugin
                          menuItem:
                            icon: notificationsIcon
                            text: Notifications
                          config:
                            pollingIntervalMs: 5000
            - disabled: false
              package: "@janus-idp/plugin-notifications-backend-dynamic@1.4.1"
              integrity: >-
                sha512-QQ5rL9+88C64I7WF+b+YkfzobUrEO6j4+0AlZmUDC5AKK0uynnGJOI9bAGKZ19SluYUzCMTwAyWrxHEBIYrHbg==
      ---
      # Source: orchestrator/templates/rhdh-operator.yaml
      apiVersion: v1
      kind: ConfigMap
      metadata:
        name: app-config-rhdh-auth
        namespace: rhdh-operator
      data:
        app-config-auth.gh.yaml: |
          integrations:
            github:
              - host: github.com
                token: ${GITHUB_TOKEN}
          auth:
            environment: development
            providers:
              github:
                development:
                  clientId: ${GITHUB_CLIENT_ID}
                  clientSecret: ${GITHUB_CLIENT_SECRET}
      ---
      # Source: orchestrator/templates/rhdh-operator.yaml
      kind: ConfigMap
      apiVersion: v1
      metadata:
        name: app-config-rhdh-catalog
        namespace: rhdh-operator
      data:
        "app-config-catalog.yaml": |
          catalog:
            rules:
              - allow:
                  [
                    Component,
                    System,
                    Group,
                    Resource,
                    Location,
                    Template,
                    API,
                    User,
                    Domain,
                  ]
            locations:
              - type: url
                target: https://github.com/janus-idp/backstage-plugins/blob/main/plugins/notifications-backend/users.yaml
              - type: url
                target: https://github.com/parodos-dev/workflow-software-templates/blob/main/entities/workflow-resources.yaml
              - type: url
                target: https://github.com/parodos-dev/workflow-software-templates/blob/main/scaffolder-templates/basic-workflow/template.yaml
              - type: url
                target: https://github.com/parodos-dev/workflow-software-templates/blob/main/scaffolder-templates/complex-assessment-workflow/template.yaml
      ---
      # Source: orchestrator/templates/openshift-serverless.yaml
      apiVersion: operators.coreos.com/v1
      kind: OperatorGroup
      metadata:
        name: serverless-operator-group
        namespace: openshift-serverless
      spec: {}
      ---
      # Source: orchestrator/templates/rhdh-operator.yaml
      apiVersion: operators.coreos.com/v1
      kind: OperatorGroup
      metadata:
        name: rhdh-operator-group
        namespace: rhdh-operator
      spec: {}
      ---
      # Source: orchestrator/templates/sonataflow-operator.yaml
      apiVersion: operators.coreos.com/v1
      kind: OperatorGroup
      metadata:
        name: openshift-serverless-logic
        namespace: openshift-serverless-logic
      spec: {}
      ---
      # Source: orchestrator/templates/openshift-serverless.yaml
      apiVersion: operators.coreos.com/v1alpha1
      kind: Subscription
      metadata:
        name: serverless-operator
        namespace: openshift-serverless
      spec:
        channel: stable
        installPlanApproval: Automatic
        name: serverless-operator
        source: redhat-operators
        sourceNamespace: openshift-marketplace
      ---
      # Source: orchestrator/templates/rhdh-operator.yaml
      apiVersion: operators.coreos.com/v1alpha1
      kind: Subscription
      metadata:
        name: rhdh-operator
        namespace: rhdh-operator
      spec:
        channel: fast
        installPlanApproval: Automatic
        name: rhdh
        source: redhat-operators
        sourceNamespace: openshift-marketplace
      ---
      # Source: orchestrator/templates/sonataflow-operator.yaml
      apiVersion: operators.coreos.com/v1alpha1
      kind: Subscription
      metadata:
        name: logic-operator-rhel8
        namespace: openshift-serverless-logic
      spec:
        channel: alpha
        installPlanApproval: Automatic
        name: logic-operator-rhel8
        source: redhat-operators
        sourceNamespace: openshift-marketplace
    name: orchestrator
